Create contract
curl --request POST \
--url https://api-dev.narrative.io/admin/contracts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_id": 123,
"rates": [
{
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"end": "2023-11-07T05:31:56Z"
}
],
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"internal_notes": "<string>",
"revision_notes": "<string>"
}
'import requests
url = "https://api-dev.narrative.io/admin/contracts"
payload = {
"company_id": 123,
"rates": [
{
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"end": "2023-11-07T05:31:56Z"
}
],
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"internal_notes": "<string>",
"revision_notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_id: 123,
rates: [
{
product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sku: '<string>',
end: '2023-11-07T05:31:56Z'
}
],
start: '2023-11-07T05:31:56Z',
end: '2023-11-07T05:31:56Z',
internal_notes: '<string>',
revision_notes: '<string>'
})
};
fetch('https://api-dev.narrative.io/admin/contracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdContract": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payable_company_id": 123,
"payment_method": {},
"revision": 123,
"revision_start": "2023-11-07T05:31:56Z",
"updated_by": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"internal_notes": "<string>",
"revision_notes": "<string>",
"revision_end": "2023-11-07T05:31:56Z"
},
"createdRates": [
{
"contract_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contract_revision": 123,
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rate": {
"unit_price": {
"value": 123,
"expressed_in": "cents",
"currency": "USD"
}
},
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Unauthorized",
"error_description": "You are not authorized to use this endpoint."
}{
"error": "Unauthorized",
"error_description": "You are not authorized to use this endpoint."
}Contracts
Create contract
Create a new contract with rates
POST
/
admin
/
contracts
Create contract
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Company Id of a contract
Payment Method
Show child attributes
Show child attributes
Optional rates associated to a contract
Show child attributes
Show child attributes
Start date of a contract. If not specified it will be set to now
Optional end date of a contract
Internal notes related to a contract
Internal notes related to specific contract revision
Was this page helpful?
⌘I

